RPOBuilder Class

class NXOpen.Features.RPOBuilder

Bases: NXOpen.Features.FeatureBuilder

Represents a RPO builder.

It provides methods to create positioning dimensions to position the feature which is being created.

This is an abstract class, and cannot be instantiated

New in version NX3.0.0.

Properties

Property Description
ParentFeatureInternal Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal
PatchSolutionFlag Returns or sets the patch solution flag
PatchSurfaceFilename Returns or sets the patch surface filename
SurroundingPatchSurfaceFilename Returns or sets the surrounding patch surface filename
Tag Returns the Tag for this object.

Methods

Method Description
ApplyDimensions Transforms the feature by applying the positioning dimensions
Commit Commits any edits that have been applied to the builder.
CommitFeature Commits the feature parameters and creates the feature
CreateDimension Creates a new empty RPODimension object
CreatePositioningDimension Creates a positioning dimension.
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetFeature Returns the feature currently being edited by this builder.
GetObject Returns the object currently being edited by this builder.
GetReferenceDirection Query/Set a horizontal or vertical reference for the feature.
GetRpoDimensions Gets the list of RPO dimemsions
HideInternalParentFeatureAfterEdit Re-suppress an internal parent feature (a slave feature) after it has been edited.
HidePositioningDimensions Hides display of all the positioning dimensions
SetExpression Sets the expression value in order to constrain the target and tool entities which are set using NXOpen.Features.RPOBuilder.SetTargetAndTool().
SetParentFeatureInternal Set the parent features which would be internal or slaves to the feature being created or commited
SetReferenceDirection Sets a horizontal or vertical reference for the feature.
SetRpoDimensions Sets the list of RPO dimemsions
SetTargetAndTool Sets the target and tool entities.
ShowInternalParentFeatureForEdit Unsuppress an internal parent feature (a slave feature) so it can be edited.
ShowPositioningDimensions Displays all the positioning dimensions
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
UndoLastDimension Undo the last positioning dimension
UnsetParentFeatureInternal Set the internal parent feature of the feature being edited to external
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Enumerations

RPOBuilderAssociativityType Enumeration Represents the associativity type for a dimension entity

Method Detail

ApplyDimensions

RPOBuilder.ApplyDimensions

Transforms the feature by applying the positioning dimensions

Signature ApplyDimensions()

New in version NX3.0.0.

License requirements: features_modeling (“FEATURES MODELING”), solid_modeling (“SOLIDS MODELING”)

CreateDimension

RPOBuilder.CreateDimension

Creates a new empty RPODimension object

Signature CreateDimension()

Returns:The RPO dimensions
Return type:NXOpen.Features.RPODimension

New in version NX4.0.0.

License requirements: None.

CreatePositioningDimension

RPOBuilder.CreatePositioningDimension

Creates a positioning dimension.

This is third and the last step in creating a positioning dimension.

Signature CreatePositioningDimension()

New in version NX3.0.0.

License requirements: features_modeling (“FEATURES MODELING”), solid_modeling (“SOLIDS MODELING”)

GetReferenceDirection

RPOBuilder.GetReferenceDirection

Query/Set a horizontal or vertical reference for the feature.

A reference is required to be set before creating a Horizontal or Vertical positioning dimension.

Signature GetReferenceDirection()

Returns:a tuple
Return type:A tuple consisting of (reference, orientation). reference is a NXOpen.IReferenceAxis. Reference entity orientation is a NXOpen.AxisOrientation. Orientation of reference

New in version NX4.0.0.

License requirements: features_modeling (“FEATURES MODELING”), solid_modeling (“SOLIDS MODELING”)

GetRpoDimensions

RPOBuilder.GetRpoDimensions

Gets the list of RPO dimemsions

Signature GetRpoDimensions()

Returns:The RPO dimensions
Return type:list of NXOpen.Features.RPODimension

New in version NX4.0.0.

License requirements: features_modeling (“FEATURES MODELING”), solid_modeling (“SOLIDS MODELING”)

HidePositioningDimensions

RPOBuilder.HidePositioningDimensions

Hides display of all the positioning dimensions

Signature HidePositioningDimensions()

New in version NX3.0.0.

License requirements: features_modeling (“FEATURES MODELING”), solid_modeling (“SOLIDS MODELING”)

SetExpression

RPOBuilder.SetExpression

Sets the expression value in order to constrain the target and tool entities which are set using NXOpen.Features.RPOBuilder.SetTargetAndTool().

This is the second step in creating a positioning dimension. This step is not needed for NXOpen.PositioningDimensionSubtype.PointOntoPoint, NXOpen.PositioningDimensionSubtype.PointOntoLine and NXOpen.PositioningDimensionSubtype.LineOntoLine

Signature SetExpression(expression)

Parameters:expression (str) – Expression string

New in version NX3.0.0.

License requirements: features_modeling (“FEATURES MODELING”), solid_modeling (“SOLIDS MODELING”)

SetReferenceDirection

RPOBuilder.SetReferenceDirection

Sets a horizontal or vertical reference for the feature.

A reference is required to be set before creating a NXOpen.PositioningDimensionSubtype.Horizontal or NXOpen.PositioningDimensionSubtype.Vertical subtype of positioning dimension.

Signature SetReferenceDirection(reference, orientation)

Parameters:

New in version NX3.0.0.

License requirements: features_modeling (“FEATURES MODELING”), solid_modeling (“SOLIDS MODELING”)

SetRpoDimensions

RPOBuilder.SetRpoDimensions

Sets the list of RPO dimemsions

Signature SetRpoDimensions(dimensions)

Parameters:dimensions (list of NXOpen.Features.RPODimension) – The RPO dimensions

New in version NX4.0.0.

License requirements: features_modeling (“FEATURES MODELING”), solid_modeling (“SOLIDS MODELING”)

SetTargetAndTool

RPOBuilder.SetTargetAndTool

Sets the target and tool entities.

This is the first step in creating a positioning dimension. A positioning dimension constraints two entities. These two entities are referred to as target and tool enitities. The tool entity is selected from the tool body which is being created. For example, if a Pad is being created then the tool entity can be an edge of the Pad. The target entity is an entity which does not belong to the tool body which is being created.

Signature SetTargetAndTool(subtype, target, targetAssociativity, targetHelpPoint, tool, toolAssociativity, toolHelpPoint)

Parameters:

New in version NX3.0.0.

License requirements: features_modeling (“FEATURES MODELING”), solid_modeling (“SOLIDS MODELING”)

ShowPositioningDimensions

RPOBuilder.ShowPositioningDimensions

Displays all the positioning dimensions

Signature ShowPositioningDimensions()

New in version NX3.0.0.

License requirements: features_modeling (“FEATURES MODELING”), solid_modeling (“SOLIDS MODELING”)

UndoLastDimension

RPOBuilder.UndoLastDimension

Undo the last positioning dimension

Signature UndoLastDimension()

New in version NX3.0.0.

License requirements: features_modeling (“FEATURES MODELING”), solid_modeling (“SOLIDS MODELING”)

Validate

RPOBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.